@mixin make-grid-row($s) {
    #{$s}row-auto{ 
        grid-row: auto;
    }

    #{$s}row-start-auto{ 
        grid-row-start: auto;
    }

    #{$s}row-end-auto{ 
        grid-row-end: auto;
    }

    #{$s}row-span-full{ 
        grid-row: 1 / -1;
    }

    @for $i from 1 through 8 {
        #{$s}row-span-#{$i}{ 
            grid-row: span #{$i} / span #{$i};
        }

        #{$s}row-start-#{$i}{ 
            grid-row-start: #{$i};
        }

        #{$s}row-end-#{$i}{ 
            grid-row-end: #{$i};
        }
    }
}